{-# LANGUAGE TypeFamilies #-}
module Types.Settings where

import qualified Data.Text as T

import Classes

data Settings = Settings
  { settingsCurrency          :: T.Text
  , settingsDecimalPlaces     :: Int
  , settingsBlockRegistration :: Bool
  }
  deriving (Show)

instance ToDatabase Settings where

  type InTuple Settings = (T.Text, Int, Bool)

  toDatabase (Settings currency places reg) = (currency, places, reg)

instance FromDatabase Settings where

  type OutTuple Settings = (T.Text, Int, Bool)

  fromDatabase (currency, places, reg) = Settings currency places reg
